﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Service
Version=8.5
@EndOfDesignText@
#Region Service Attributes
	#StartAtBoot: False
#End Region

Sub Process_Globals
	Public rp As RuntimePermissions
	Public nid As Int = 1
	Public lock As PhoneWakeState
	Public MP As MediaPlayer
	
	Public vgCancion (200) As String									' Máxima cantidad de mp3 por directorio = 200
End Sub

'------------------------------------------------------------

Sub Service_Create
	lock.PartialLock													' Adquiere un bloqueo parcial del dispositivo.
	MP.Initialize2("MP")												' Inicializa el reproductor.
End Sub

Sub Service_Start (StartingIntent As Intent)
	Service.StopAutomaticForeground										' Evita que el servicio pase a segundo plano.
End Sub

'------------------------------------------------------------

Sub sPlay
	MP.Load(Main.vgRutaActual, vgCancion(Main.vgIndiceActual))
	MP.Play
End Sub

Sub sStop
	MP.Stop
End Sub

Sub MP_Complete
	'Log("Canción finalizada")
	Main.vgIndiceActual = Main.vgIndiceActual + 1						' Incrementa el índice de la lista...
	
	If Main.vgIndiceActual >= Main.vgElementos Then						' ... y comprueba
		Main.vgIndiceActual = 0											' que sea
	End If																' válido.
	
	sPlay																' Llama a sub sPlay.
End Sub

'------------------------------------------------------------

Sub Service_Destroy
	If MP.IsPlaying = True Then MP.Stop										' Detiene el reproductor si está reproduciendo.

	MP.Release																' Libera los recursos del reproductor.	
	lock.ReleasePartialLock													' Elimina el bloqueo parcial del dispositivo.
	'Service.StopForeground(nid)
End Sub
